<?php
/**
 * Created by PhpStorm.
 * User: qiuzijian
 * Date: 2021-05-18
 * Time: 15:09
 */

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Redis;
use Modules\Camera\Entities\CameraList;
use Modules\Camera\Enum\CameraEnum;
use Modules\Camera\Http\Controllers\Api\HaiKangController;
use Modules\Camera\Jobs\CameraDownload;
use Modules\Camera\Services\CameraServices;
use Modules\Mine\Entities\MineListExt;
use Modules\Mine\Services\MineServices;

class TestsController {

    public function test()
    {
        $parent_id = 9;
        $mine_id = '0e1f7f4b-07a0-42f4-8179-0de122d11112';
        $query = MineListExt::where('mine_id', $parent_id)->first();

        Input::replace(
            [
                'url'       => trim($query->ip, '/') . ':' . $query->port,
                'key'       => $query->key,
                'secret'    => $query->secret,
                'regionId'  => $mine_id,
            ]
        );
        $haikang   = new HaiKangController();
        $result_hk = $haikang->getCameraStatus();
        dd($result_hk);
    }
}